package com.mdd.admin.validate.system;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("系统管理员搜索参数")
public class SystemAdminSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("登录账号")
   private String username;
   @ApiModelProperty("用户昵称")
   private String nickname;
   @ApiModelProperty("角色ID")
   private Integer role;

   public String getUsername() {
      return this.username;
   }

   public String getNickname() {
      return this.nickname;
   }

   public Integer getRole() {
      return this.role;
   }

   public void setUsername(String username) {
      this.username = username;
   }

   public void setNickname(String nickname) {
      this.nickname = nickname;
   }

   public void setRole(Integer role) {
      this.role = role;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof SystemAdminSearchValidate)) {
         return false;
      } else {
         SystemAdminSearchValidate other = (SystemAdminSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            label47: {
               Object this$role = this.getRole();
               Object other$role = other.getRole();
               if (this$role == null) {
                  if (other$role == null) {
                     break label47;
                  }
               } else if (this$role.equals(other$role)) {
                  break label47;
               }

               return false;
            }

            Object this$username = this.getUsername();
            Object other$username = other.getUsername();
            if (this$username == null) {
               if (other$username != null) {
                  return false;
               }
            } else if (!this$username.equals(other$username)) {
               return false;
            }

            Object this$nickname = this.getNickname();
            Object other$nickname = other.getNickname();
            if (this$nickname == null) {
               if (other$nickname != null) {
                  return false;
               }
            } else if (!this$nickname.equals(other$nickname)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof SystemAdminSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $role = this.getRole();
      result = result * 59 + ($role == null ? 43 : $role.hashCode());
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $nickname = this.getNickname();
      result = result * 59 + ($nickname == null ? 43 : $nickname.hashCode());
      return result;
   }

   public String toString() {
      return "SystemAdminSearchValidate(username=" + this.getUsername() + ", nickname=" + this.getNickname() + ", role=" + this.getRole() + ")";
   }
}
